Subject: Re: [PATCH net-next v4 0/9] Create common DPLL configuration API

From: Jakub Kicinski <[email-masked]>
Date: Tue, 15 Aug 2023 10:02:03 -0700

On Tue, 15 Aug 2023 13:52:10 +0200 Jiri Pirko wrote:
> >> Feels like we're lacking tests here. Is there a common subset of
> >> stuff we can expect reasonable devices to support?
> >> Anything you used in development that can be turned into tests?  
> >
> >Well, we were playing with the tool ynl/cli.py and it's stated in
> >the cover letter. But needs proper hardware to run. I'm not sure
> >we can easily create emulation device to run tests.  
> 
> Well, something like "dpllsim", similar to netdevsim would be certainly
> possible, then you can use it to write selftests for the uapi testing.
> But why don't we do that as a follow-up patchset?

I was thinking about a test that can be run against real HW.
Something that a new vendor implementing DPLL can run and
validate that their implementation behaves as expected.
And something that distributors and stable kernels could
potentially use to validate the code still works.

We don't have any well established user space to make use of this 
new functionality, there's high risk that drivers will invent their
own ways of interpreting the API.

Perhaps something that Red Hat could help with? I'm guessing you'd 
be writing test to validate this for RHEL, anyway?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel